<?xml version="1.0" encoding="UTF-8"?>
<project name="com.vn.mpoint" default="all">
  
  
  <property file="com.vn.mpoint.properties"/>
  <!-- Uncomment the following property if no tests compilation is needed -->
  <!-- 
  <property name="skip.tests" value="true"/>
   -->
  
  <!-- Compiler options -->
  
  <property name="compiler.debug" value="on"/>
  <property name="compiler.generate.no.warnings" value="off"/>
  <property name="compiler.args" value=""/>
  <property name="compiler.max.memory" value="700m"/>
  <patternset id="ignored.files">
    <exclude name="**/*.hprof/**"/>
    <exclude name="**/*.pyc/**"/>
    <exclude name="**/*.pyo/**"/>
    <exclude name="**/*.rbc/**"/>
    <exclude name="**/*.yarb/**"/>
    <exclude name="**/*~/**"/>
    <exclude name="**/.DS_Store/**"/>
    <exclude name="**/.git/**"/>
    <exclude name="**/.hg/**"/>
    <exclude name="**/.svn/**"/>
    <exclude name="**/CVS/**"/>
    <exclude name="**/RCS/**"/>
    <exclude name="**/SCCS/**"/>
    <exclude name="**/__pycache__/**"/>
    <exclude name="**/_svn/**"/>
    <exclude name="**/rcs/**"/>
    <exclude name="**/vssver.scc/**"/>
    <exclude name="**/vssver2.scc/**"/>
  </patternset>
  <patternset id="library.patterns">
    <include name="*.war"/>
    <include name="*.swc"/>
    <include name="*.apk"/>
    <include name="*.zip"/>
    <include name="*.ear"/>
    <include name="*.egg"/>
    <include name="*.ane"/>
    <include name="*.jar"/>
  </patternset>
  <patternset id="compiler.resources">
    <exclude name="**/?*.java"/>
    <exclude name="**/?*.form"/>
    <exclude name="**/?*.class"/>
    <exclude name="**/?*.groovy"/>
    <exclude name="**/?*.scala"/>
    <exclude name="**/?*.flex"/>
    <exclude name="**/?*.kt"/>
    <exclude name="**/?*.clj"/>
    <exclude name="**/?*.aj"/>
  </patternset>
  
  <!-- JDK definitions -->
  
  <property name="jdk.bin.1.8" value="${jdk.home.1.8}/bin"/>
  <path id="jdk.classpath.1.8">
    <fileset dir="${jdk.home.1.8}">
      <include name="jre/lib/charsets.jar"/>
      <include name="jre/lib/ext/cldrdata.jar"/>
      <include name="jre/lib/ext/dnsns.jar"/>
      <include name="jre/lib/ext/jaccess.jar"/>
      <include name="jre/lib/ext/localedata.jar"/>
      <include name="jre/lib/ext/nashorn.jar"/>
      <include name="jre/lib/ext/sunec.jar"/>
      <include name="jre/lib/ext/sunjce_provider.jar"/>
      <include name="jre/lib/ext/sunpkcs11.jar"/>
      <include name="jre/lib/ext/zipfs.jar"/>
      <include name="jre/lib/jce.jar"/>
      <include name="jre/lib/jsse.jar"/>
      <include name="jre/lib/management-agent.jar"/>
      <include name="jre/lib/resources.jar"/>
      <include name="jre/lib/rt.jar"/>
    </fileset>
  </path>
  
  <property name="project.jdk.home" value="${jdk.home.1.8}"/>
  <property name="project.jdk.bin" value="${jdk.bin.1.8}"/>
  <property name="project.jdk.classpath" value="jdk.classpath.1.8"/>
  <!-- Register Custom Compiler Taskdefs -->
  <property name="javac2.home" value="${idea.home}/lib"/>
  <path id="javac2.classpath">
    <pathelement location="${javac2.home}/javac2.jar"/>
    <pathelement location="${javac2.home}/jdom.jar"/>
    <pathelement location="${javac2.home}/asm-all.jar"/>
    <pathelement location="${javac2.home}/jgoodies-forms.jar"/>
  </path>
  <target name="register.custom.compilers">
    <taskdef name="javac2" classname="com.intellij.ant.Javac2" classpathref="javac2.classpath"/>
    <taskdef name="instrumentIdeaExtensions" classname="com.intellij.ant.InstrumentIdeaExtensions" classpathref="javac2.classpath"/>
  </target>
  
  <!-- Modules -->
  
  <import file="${basedir}/.idea/modules/app/module_app.xml"/>
  
  <import file="${basedir}/.idea/modules/module_com.vn.mpoint.xml"/>
  
  <import file="${basedir}/.idea/modules/-567701351/module_react-native-camera.xml"/>
  
  <import file="${basedir}/.idea/modules/-708130415/module_react-native-device-info.xml"/>
  
  <import file="${basedir}/.idea/modules/-1341343286/module_react-native-fbsdk.xml"/>
  
  <import file="${basedir}/.idea/modules/1662900252/module_react-native-fcm.xml"/>
  
  <import file="${basedir}/.idea/modules/131708740/module_react-native-fetch-blob.xml"/>
  
  <import file="${basedir}/.idea/modules/997228724/module_react-native-image-picker.xml"/>
  
  <import file="${basedir}/.idea/modules/1650063115/module_react-native-maps.xml"/>
  
  <import file="${basedir}/.idea/modules/237218291/module_react-native-social-share.xml"/>
  
  <import file="${basedir}/.idea/modules/-1205607842/module_react-native-splash-screen.xml"/>
  
  <import file="${basedir}/.idea/modules/-1701595344/module_react-native-svg.xml"/>
  
  <import file="${basedir}/.idea/modules/-1672471164/module_react-native-vector-icons.xml"/>
  
  <target name="init" description="Build initialization">
    <!-- Perform any build initialization in this target -->
  </target>
  
  <target name="clean" depends="clean.module.app, clean.module.com.vn.mpoint, clean.module.react-native-camera, clean.module.react-native-device-info, clean.module.react-native-fbsdk, clean.module.react-native-fcm, clean.module.react-native-fetch-blob, clean.module.react-native-image-picker, clean.module.react-native-maps, clean.module.react-native-social-share, clean.module.react-native-splash-screen, clean.module.react-native-svg, clean.module.react-native-vector-icons" description="cleanup all"/>
  
  <target name="build.modules" depends="init, clean, compile.module.app, compile.module.com.vn.mpoint, compile.module.react-native-camera, compile.module.react-native-device-info, compile.module.react-native-fbsdk, compile.module.react-native-fcm, compile.module.react-native-fetch-blob, compile.module.react-native-image-picker, compile.module.react-native-maps, compile.module.react-native-social-share, compile.module.react-native-splash-screen, compile.module.react-native-svg, compile.module.react-native-vector-icons" description="build all modules"/>
  
  <target name="all" depends="build.modules" description="build all"/>
</project>